/*
******************************************************************************
*
*              Copyright (c) 2001 Hand Held Products Inc.
*
*                        All Rights Reserved.
*
******************************************************************************
*
* $RCSfile: Library_Tools/MemExcpt.h $
* $Revision: 1.1 $
* $Date: 2007/04/24 08:33:19EDT $
* $Author: MontoroJ $
*
*  File:        MemExcpt.h
*
*  Description: Declares function used to verify validity of memory address.
*
*  Rev. Date    By     Revision Notes
*  ----------   ---    ----------------
*  06/31/2001   JCM    Original Release
*
******************************************************************************
*/
#ifndef _MEMEXCPT_H

    #define _MEMEXCPT_H

    #include <Windows.h>

    enum
    {
        RESULT_ADDRESS_OKAY=0,
        RESULT_ADDRESS_NULL,
        RESULT_ADDRESS_INVALID
    };

#ifdef __cplusplus
    extern "C" {
#endif /* __cplusplus */

    LONG IsValidAddress( void * );

#ifdef __cplusplus
    }
#endif /* __cplusplus */

#endif

// $Log: Library_Tools/MemExcpt.h  $
// Revision 1.1 2007/04/24 08:33:19EDT MontoroJ 
// Initial revision
// Member added to project d:/MKS_ES/ES/Matrix SDK/Matrix5080SDK/Matrix5080SDK.pj
// Revision 1.1 2003/06/19 11:54:35EDT holzhaud 
// Initial revision
// Member added to project d:/MKS_IT/SDK/Matrix_SDK_Examples/Matrix_SDK_Examples.pj
// Revision 1.1 2003/05/14 11:39:14EDT montoroj 
// Initial revision
// Member added to project d:/MKS_Common/Library_Tools/Library_Tools.pj
// Revision 1.1 2003/05/13 14:50:51EDT holzhaud 
// Initial revision
// Member added to project d:/MKS_Common/Library_Tools/Library_Tools.pj
// Revision 1.3 2003/02/20 16:32:50EST montoroj 
// - Replaced $LOG$ with $Log: Library_Tools/MemExcpt.h  $
// - Replaced Revision 1.1 2007/04/24 08:33:19EDT MontoroJ 
// - Replaced Initial revision
// - Replaced Member added to project d:/MKS_ES/ES/Matrix SDK/Matrix5080SDK/Matrix5080SDK.pj
// - Replaced Revision 1.1 2003/06/19 11:54:35EDT holzhaud 
// - Replaced Initial revision
// - Replaced Member added to project d:/MKS_IT/SDK/Matrix_SDK_Examples/Matrix_SDK_Examples.pj
// - Replaced Revision 1.1 2003/05/14 11:39:14EDT montoroj 
// - Replaced Initial revision
// - Replaced Member added to project d:/MKS_Common/Library_Tools/Library_Tools.pj
// - Replaced Revision 1.1 2003/05/13 14:50:51EDT holzhaud 
// - Replaced Initial revision
// - Replaced Member added to project d:/MKS_Common/Library_Tools/Library_Tools.pj

