/*======================================================================

	Barcode_Sample_MFC - Hand Held Imager Barcode Sample (MFC based)

	UNLESS OTHER WISE AGREED TO BY HONEYWELL INTERNATIONAL AND THE USER 
    OF THIS CODE, THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
    WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT 
    LIMITED TO 	THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS 
    FOR A 	PARTICULAR PURPOSE.

	COPYRIGHT (C) 2000-2008 HONEYWELL INTERNALTIONAL, Inc.

	THIS SOFTWARE IS PROTECTED BY COPYRIGHT LAWS OF THE UNITED STATES OF 
	AMERICA AND OF FOREIGN COUNTRIES. THIS SOFTWARE IS FURNISHED UNDER A 
	LICENSE AND/OR A NONDISCLOSURE AGREEMENT AND MAY BE USED IN ACCORDANCE 
	WITH THE TERMS OF THOSE	AGREEMENTS. UNAUTHORIZED REPRODUCTION, 
	DUPLICATION OR DISTRIBUTION OF THIS SOFTWARE, OR ANY PORTION OF IT 
	WILL BE PROSECUTED TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.

	Module:		Barcode_Sample_MFCDlg.h
	
	Description: Include file for the MFC dialog of the Barcode Sample 
    application.
				
======================================================================*/
// Barcode_Sample_MFCDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include <hhiImgrSdk.h>

// CBarcode_Sample_MFCDlg dialog
class CBarcode_Sample_MFCDlg : public CDialog
{
// Construction
public:
	CBarcode_Sample_MFCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_BARCODE_SAMPLE_MFC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
    afx_msg LRESULT OnEventHwndMsg( WPARAM,LPARAM );
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedConnect();
    CStatic ctlFeedback;
    afx_msg void OnStnClickedStaticFeedback();
    afx_msg void OnBnClickedCaptureBarcode();
    CStatic ctlData;
    afx_msg void OnBnClickedDisconnect();
private:
    LPCTSTR ErrorMessage(Result_t errorCode);
    CEdit ctrl_CEdit_Comm;
    afx_msg void OnBnClickedAsyncBarcodeCapture();
};
