/*======================================================================

	IQ_Imaging_Sample_MFC - Hand Held Imager Intellignet Image Capture 
    Sample (MFC based)

	UNLESS OTHER WISE AGREED TO BY HONEYWELL INTERNATIONAL AND THE USER 
    OF THIS CODE, THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
    WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT 
    LIMITED TO 	THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS 
    FOR A 	PARTICULAR PURPOSE.

	COPYRIGHT (C) 2000-2008 HONEYWELL INTERNALTIONAL, Inc.

	THIS SOFTWARE IS PROTECTED BY COPYRIGHT LAWS OF THE UNITED STATES OF 
	AMERICA AND OF FOREIGN COUNTRIES. THIS SOFTWARE IS FURNISHED UNDER A 
	LICENSE AND/OR A NONDISCLOSURE AGREEMENT AND MAY BE USED IN ACCORDANCE 
	WITH THE TERMS OF THOSE	AGREEMENTS. UNAUTHORIZED REPRODUCTION, 
	DUPLICATION OR DISTRIBUTION OF THIS SOFTWARE, OR ANY PORTION OF IT 
	WILL BE PROSECUTED TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.

	Module:		 IQ_Imaging_Sample_MFC.cpp
	
	Description: Class implementation file for the application class of  
    the HHI Intelligent Image Capture Sample.
				
======================================================================*/
// IQ_Imaging_Sample_MFC.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "IQ_Imaging_Sample_MFC.h"
#include "IQ_Imaging_Sample_MFCDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CIQ_Imaging_Sample_MFCApp

BEGIN_MESSAGE_MAP(CIQ_Imaging_Sample_MFCApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CIQ_Imaging_Sample_MFCApp construction

CIQ_Imaging_Sample_MFCApp::CIQ_Imaging_Sample_MFCApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CIQ_Imaging_Sample_MFCApp object

CIQ_Imaging_Sample_MFCApp theApp;


// CIQ_Imaging_Sample_MFCApp initialization

BOOL CIQ_Imaging_Sample_MFCApp::InitInstance()
{
	// InitCommonControlsEx() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Set this to include all the common control classes you want to use
	// in your application.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	CIQ_Imaging_Sample_MFCDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
