/*======================================================================

	CIQ_Imaging_Sample_MFCDlg - Hand Held Imager Intelligent Image Capture 
    Sample (MFC based)

	UNLESS OTHER WISE AGREED TO BY HONEYWELL INTERNATIONAL AND THE USER 
    OF THIS CODE, THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT 
    WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT 
    LIMITED TO 	THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS 
    FOR A 	PARTICULAR PURPOSE.

	COPYRIGHT (C) 2000-2008 HONEYWELL INTERNALTIONAL, Inc.

	THIS SOFTWARE IS PROTECTED BY COPYRIGHT LAWS OF THE UNITED STATES OF 
	AMERICA AND OF FOREIGN COUNTRIES. THIS SOFTWARE IS FURNISHED UNDER A 
	LICENSE AND/OR A NONDISCLOSURE AGREEMENT AND MAY BE USED IN ACCORDANCE 
	WITH THE TERMS OF THOSE	AGREEMENTS. UNAUTHORIZED REPRODUCTION, 
	DUPLICATION OR DISTRIBUTION OF THIS SOFTWARE, OR ANY PORTION OF IT 
	WILL BE PROSECUTED TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.

	Module:		 CIQ_Imaging_Sample_MFCDlg.h
	
	Description: Class header file for the declaration of the application 
    dialog class of the HHI Intelligent Image Capture Sample.
				
======================================================================*/
/// IQ_Imaging_Sample_MFCDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CIQ_Imaging_Sample_MFCDlg dialog
class CIQ_Imaging_Sample_MFCDlg : public CDialog
{
// Construction
public:
	CIQ_Imaging_Sample_MFCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_IQ_IMAGING_SAMPLE_MFC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    CStatic ctlFeedback;
public:
    CEdit ctrl_CEdit_Comm;
public:
    afx_msg void OnBnClickedConnect();
private:
    LPCTSTR ErrorMessage(Result_t errorCode);
    afx_msg void OnBnClickedCaptureImage();
    afx_msg void OnBnClickedDisconnect();

    void DrawBitmap(CDC* pDC );

    BYTE* m_pbyReceivedBitmap;
    BOOL  m_bBitmapAvailable;
    DWORD m_dwBytesOfImageData;

public:
    afx_msg void OnBnClickedIqimageSettings();
};
